Subject: Re: Re: [pim] Tunnels in PIM-SM!!!

From: "Ganapath" <[email-masked]>
Date: 14 Aug 2002 07:24:57 -0000

Hello,
      Thanks alot for your help.

Thanx n regards,
Ganapath

On Tue, 13 Aug 2002 Jérôme Durand wrote :
>Hi
>
>In fact, I wouldn't say the same. We don't always have the same 
>topology for
>multicast and unicast. Not always people want to implement 
>multicast on the
>same routers they use for their unicast production network. (we 
>did that at
>one time)
>The problem is that PIM uses unicast routing table for RPF check 
>(in order
>to build trees)
>So we have a big problem !
>But MBGP came and saved our lives... MBGP exchanges unicast 
>addresses but
>that will be used just for the multicast !
>I hope that I am clear at that time.
>
>So for Intra Domain
>PIM + unicast routing protocol if same topologies
>PIM + MBGP if different topologies
>
>For Inter Domain
>We have to link the RP using MBGP (same as before) and we have to 
>exchange
>the sources between the RP.
>For this we have 2 protocols
>MSDP
>BGMP
>
>BGMP is not implemented and maybe will never be ! It seems to 
>much
>complicated and manufacturers are afraid of it :-)
>MSDP is currently deployed but maybe could not scale if we keep 
>deploying
>and using the multicast network...
>any idea ? :-)
>
>I hope I helped you
>
>Jerome Durand
>IPv6 Multicast - GIP Renater
>visit m6bone web page at
>http://sem2.renater.fr/m6bone
>
>
>----- Original Message -----
> From: "Marshall Eubanks" <[email-masked]>
>To: "Ganapath" <[email-masked]>; 
><[email-masked]>
>Sent: Tuesday, August 13, 2002 2:38 PM
>Subject: Re: [pim] Tunnels in PIM-SM!!!
>
>
> > On 13 Aug 2002 09:19:57 -0000
> >  "Ganapath" <[email-masked]> wrote:
> > > Hello,
> > >       I would like to know the following,
> > >
> > > 1. Do we use tunnels in PIM-SM, just like IPIP tunnels in 
>DVMRP.
> > >
> > PIM multicast is _native_ multicast. In native multicast the 
>traffic
> > is never encapsulated. Intra-domain PIM routing is done using 
>the
> > unicast routing information. Inter-domain routing is done 
>using MBGP.
> >
> >
> > > 2. If answer for 1 is yes, why there is no information 
>about
> > > tunnels in either RFC 2362 or 
>draft-ietf-pim-sm-v2-new-05.txt.
> > > Kindly mention the pointer to the same.
> > >
> > > 3. If answer for 1 is no, how does PIM-SM multicast clouds 
>could
> > > be connected( if at all it is possible).
> > >
> >
> > "Clouds" really mean PIM domains here (typically autonomous 
>systems) -
> > this is done with MBGP.
> >
> > Regards
> > Marshall Eubanks
> >
> > > Please someone clear my doubts, as I am new to PIM-SM and 
>bit
> > > familiar with DVMRP.
> > >
> > > with e-regards,
> > > Ganapath
> > > __________________________________________________________
> > > Give your Company an email address like
> > > ravi @ ravi-exports.com.  Sign up for Rediffmail Pro 
>today!
> > > Know more. http://www.rediffmailpro.com/signup/
> > >
> > > _______________________________________________
> > > pim mailing list
> > > [email-masked]
> > > http://catarina.usc.edu/mailman/listinfo/pim
> >
> > _______________________________________________
> > pim mailing list
> > [email-masked]
> > http://catarina.usc.edu/mailman/listinfo/pim
> >
>

__________________________________________________________
Give your Company an email address like
ravi @ ravi-exports.com.  Sign up for Rediffmail Pro today!
Know more. http://www.rediffmailpro.com/signup/

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim